#include <bits/stdc++.h>

using namespace std;
bool SvaSlovaSuA(string a)
{
    for(char c : a)
    {
        if(c != 'a') return false;
    }
    return true;
}
int main()
{
    string rec, kljuc;

    cin >> rec >> kljuc;

    vector<int> pozicije;

    int trenutna_pozicija_kljuca=0;

    if(kljuc == "a")
    {
        int br=0;
        for(int i=0; i < rec.length(); i++)
        {
            if(rec[i] == 'a')
            {
                rec[i] = '*';
                br++;
            }
        }

        cout << br << endl;
        cout << rec << endl;
        return 0;
    }
    else if(SvaSlovaSuA(kljuc))
    {
        int br=0, br_a=0;
        for(int i=0; i < rec.length(); i++)
        {
            if(rec[i] == 'a')
            {
                br_a++;
            }
        }

        int obrisati = br_a - kljuc.length() + 1;
        for(int i=0; i < rec.length(); i++)
        {
            if(obrisati <= 0) break;
            if(rec[i] == 'a')
            {
                rec[i] = '*';
                br++;
                obrisati--;
            }
        }

        cout << br << endl;
        cout << rec << endl;
        return 0;
    }
    else
    {
        for(int i=0; i < rec.length(); i++)
        {
            if(rec[i] == kljuc[trenutna_pozicija_kljuca])
            {
                for(int j=0; j <= trenutna_pozicija_kljuca; j++)
                {
                    if(kljuc[j] == kljuc[trenutna_pozicija_kljuca])
                    pozicije.push_back(j);
                }
            }
            else
            {
                trenutna_pozicija_kljuca++;
                if(rec[i] == kljuc[trenutna_pozicija_kljuca])
                {
                    for(int j=0; j <= trenutna_pozicija_kljuca; j++)
                    {
                        if(kljuc[j] == kljuc[trenutna_pozicija_kljuca])
                        pozicije.push_back(j);
                    }
                }
                else
                {

                }
            }
        }

        for(int i=0; i < pozicije.size(); i++)
        {
            cout << pozicije[i] << " ";
        }
        cout << endl;
    }


    return 0;
}